| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Macros | Typedefs | Functions | Variables
jdct.h File Reference

Go to the source code of this file.

## Macros
#define | IFAST_SCALE_BITS 13 /* fractional bits in scale factors */
#define | IDCT_range_limit(cinfo) ((cinfo)->sample_range_limit + CENTERJSAMPLE)
#define | RANGE_MASK (MAXJSAMPLE * 4 + 3) /* 2 bits wider than legal samples */
#define | ONE ((INT32) 1)
#define | CONST_SCALE (ONE << CONST_BITS)
#define | FIX(x) ((INT32) ((x) * CONST_SCALE + 0.5))
#define | DESCALE(x, n) RIGHT_SHIFT((x) + (ONE << ((n)-1)), n)
#define | MULTIPLY16C16(var, const) ((var) * (const))
#define | MULTIPLY16V16(var1, var2) ((var1) * (var2))

## Typedefs
typedef INT32 | DCTELEM
typedef MULTIPLIER | ISLOW_MULT_TYPE
typedef INT32 | IFAST_MULT_TYPE
typedef FAST_FLOAT | FLOAT_MULT_TYPE

## Functions
typedef | JMETHOD (void, forward_DCT_method_ptr,(DCTELEM *data))
typedef | JMETHOD (void, float_DCT_method_ptr,(FAST_FLOAT *data))
| EXTERN (void) jpeg_fdct_islow JPP((DCTELEM *data))

## Variables
jpeg_component_info * | compptr
jpeg_component_info JCOEFPTR | coef_block
jpeg_component_info JCOEFPTR JSAMPARRAY | output_buf
jpeg_component_info JCOEFPTR JSAMPARRAY JDIMENSION | output_col

## Macro Definition Documentation

#define CONST_SCALE (ONE << CONST_BITS)

Definition at line 132 of file jdct.h.

#define DESCALE | ( |  | x,
|  |  | n
| ) |  | RIGHT_SHIFT((x) + (ONE << ((n)-1)), n)

Definition at line 146 of file jdct.h.

#define FIX | ( |  | x | ) | ((INT32) ((x) * CONST_SCALE + 0.5))

Definition at line 139 of file jdct.h.

#define IDCT_range_limit | ( |  | cinfo | ) | ((cinfo)->sample_range_limit + CENTERJSAMPLE)

Definition at line 76 of file jdct.h.

#define IFAST_SCALE_BITS 13 /* fractional bits in scale factors */

Definition at line 62 of file jdct.h.

#define MULTIPLY16C16 | ( |  | var,
|  |  | const
| ) |  | ((var) * (const))

Definition at line 165 of file jdct.h.

#define MULTIPLY16V16 | ( |  | var1,
|  |  | var2
| ) |  | ((var1) * (var2))

Definition at line 175 of file jdct.h.

#define ONE ((INT32) 1)

Definition at line 131 of file jdct.h.

#define RANGE_MASK (MAXJSAMPLE * 4 + 3) /* 2 bits wider than legal samples */

Definition at line 78 of file jdct.h.

## Typedef Documentation

typedef INT32 DCTELEM

Definition at line 32 of file jdct.h.

typedef FAST_FLOAT FLOAT_MULT_TYPE

Definition at line 64 of file jdct.h.

typedef INT32 IFAST_MULT_TYPE

Definition at line 61 of file jdct.h.

typedef MULTIPLIER ISLOW_MULT_TYPE

Definition at line 56 of file jdct.h.

## Function Documentation

EXTERN | ( | void |  | ) |

typedef JMETHOD | ( | void | ,
|  | forward_DCT_method_ptr | ,
|  | (DCTELEM *data) |
| ) |  |

typedef JMETHOD | ( | void | ,
|  | float_DCT_method_ptr | ,
|  | (FAST_FLOAT *data) |
| ) |  |

## Variable Documentation

jpeg_component_info JCOEFPTR coef_block

Definition at line 102 of file jdct.h.

jpeg_component_info * compptr

Definition at line 102 of file jdct.h.

jpeg_component_info JCOEFPTR JSAMPARRAY output_buf

Definition at line 102 of file jdct.h.

jpeg_component_info JCOEFPTR JSAMPARRAY JDIMENSION output_col

Definition at line 102 of file jdct.h.